//
// Este archivo ha sido generado por la arquitectura JavaTM para la implantación de la referencia de enlace (JAXB) XML v2.3.0-b170202.1032 
// Visite <a href="https://jaxb.java.net/">https://jaxb.java.net/</a> 
// Todas las modificaciones realizadas en este archivo se perderán si se vuelve a compilar el esquema de origen. 
// Generado el: 2024.08.07 a las 11:04:42 AM CEST 
//


package com.ejie.ad74a.ws.server.televida.model;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.server.televida.model package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.server.televida.model
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EmergenciaType }
     * 
     */
    public EmergenciaType createEmergenciaType() {
        return new EmergenciaType();
    }

    /**
     * Create an instance of {@link DatosInstalacionType }
     * 
     */
    public DatosInstalacionType createDatosInstalacionType() {
        return new DatosInstalacionType();
    }

    /**
     * Create an instance of {@link ValoracionType }
     * 
     */
    public ValoracionType createValoracionType() {
        return new ValoracionType();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType }
     * 
     */
    public DatosPrestServicioType createDatosPrestServicioType() {
        return new DatosPrestServicioType();
    }

    /**
     * Create an instance of {@link DatosCambioDomicilioType }
     * 
     */
    public DatosCambioDomicilioType createDatosCambioDomicilioType() {
        return new DatosCambioDomicilioType();
    }

    /**
     * Create an instance of {@link DatosModificacionType }
     * 
     */
    public DatosModificacionType createDatosModificacionType() {
        return new DatosModificacionType();
    }

    /**
     * Create an instance of {@link DatosValoracionInicialType }
     * 
     */
    public DatosValoracionInicialType createDatosValoracionInicialType() {
        return new DatosValoracionInicialType();
    }

    /**
     * Create an instance of {@link Comunicacion }
     * 
     */
    public Comunicacion createComunicacion() {
        return new Comunicacion();
    }

    /**
     * Create an instance of {@link CabeceraType }
     * 
     */
    public CabeceraType createCabeceraType() {
        return new CabeceraType();
    }

    /**
     * Create an instance of {@link DatosAltaInstalacionType }
     * 
     */
    public DatosAltaInstalacionType createDatosAltaInstalacionType() {
        return new DatosAltaInstalacionType();
    }

    /**
     * Create an instance of {@link DatosBajaBeneficiarioType }
     * 
     */
    public DatosBajaBeneficiarioType createDatosBajaBeneficiarioType() {
        return new DatosBajaBeneficiarioType();
    }

    /**
     * Create an instance of {@link DatosBajaInstalacionType }
     * 
     */
    public DatosBajaInstalacionType createDatosBajaInstalacionType() {
        return new DatosBajaInstalacionType();
    }

    /**
     * Create an instance of {@link DatosQuejasReclamacionesType }
     * 
     */
    public DatosQuejasReclamacionesType createDatosQuejasReclamacionesType() {
        return new DatosQuejasReclamacionesType();
    }

    /**
     * Create an instance of {@link Respuesta }
     * 
     */
    public Respuesta createRespuesta() {
        return new Respuesta();
    }

    /**
     * Create an instance of {@link Dispositivo }
     * 
     */
    public Dispositivo createDispositivo() {
        return new Dispositivo();
    }

    /**
     * Create an instance of {@link DispositivoPropuestoType }
     * 
     */
    public DispositivoPropuestoType createDispositivoPropuestoType() {
        return new DispositivoPropuestoType();
    }

    /**
     * Create an instance of {@link PeriodicidadType }
     * 
     */
    public PeriodicidadType createPeriodicidadType() {
        return new PeriodicidadType();
    }

    /**
     * Create an instance of {@link LlamadasRecibidasType }
     * 
     */
    public LlamadasRecibidasType createLlamadasRecibidasType() {
        return new LlamadasRecibidasType();
    }

    /**
     * Create an instance of {@link LlamadasType }
     * 
     */
    public LlamadasType createLlamadasType() {
        return new LlamadasType();
    }

    /**
     * Create an instance of {@link ContactoType }
     * 
     */
    public ContactoType createContactoType() {
        return new ContactoType();
    }

    /**
     * Create an instance of {@link TipoAlarmaType }
     * 
     */
    public TipoAlarmaType createTipoAlarmaType() {
        return new TipoAlarmaType();
    }

    /**
     * Create an instance of {@link RecursosMovilizadosType }
     * 
     */
    public RecursosMovilizadosType createRecursosMovilizadosType() {
        return new RecursosMovilizadosType();
    }

    /**
     * Create an instance of {@link IntervencionType }
     * 
     */
    public IntervencionType createIntervencionType() {
        return new IntervencionType();
    }

    /**
     * Create an instance of {@link ProtocoloType }
     * 
     */
    public ProtocoloType createProtocoloType() {
        return new ProtocoloType();
    }

    /**
     * Create an instance of {@link AlarmaType }
     * 
     */
    public AlarmaType createAlarmaType() {
        return new AlarmaType();
    }

    /**
     * Create an instance of {@link EmergenciaType.RecursosMovilizadosList }
     * 
     */
    public EmergenciaType.RecursosMovilizadosList createEmergenciaTypeRecursosMovilizadosList() {
        return new EmergenciaType.RecursosMovilizadosList();
    }

    /**
     * Create an instance of {@link DatosInstalacionType.DispositivosList }
     * 
     */
    public DatosInstalacionType.DispositivosList createDatosInstalacionTypeDispositivosList() {
        return new DatosInstalacionType.DispositivosList();
    }

    /**
     * Create an instance of {@link ValoracionType.DispositivosPropuestos }
     * 
     */
    public ValoracionType.DispositivosPropuestos createValoracionTypeDispositivosPropuestos() {
        return new ValoracionType.DispositivosPropuestos();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.RevalorizacionesList }
     * 
     */
    public DatosPrestServicioType.RevalorizacionesList createDatosPrestServicioTypeRevalorizacionesList() {
        return new DatosPrestServicioType.RevalorizacionesList();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.EmergenciasList }
     * 
     */
    public DatosPrestServicioType.EmergenciasList createDatosPrestServicioTypeEmergenciasList() {
        return new DatosPrestServicioType.EmergenciasList();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.AlarmasList }
     * 
     */
    public DatosPrestServicioType.AlarmasList createDatosPrestServicioTypeAlarmasList() {
        return new DatosPrestServicioType.AlarmasList();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.IntervencionesList }
     * 
     */
    public DatosPrestServicioType.IntervencionesList createDatosPrestServicioTypeIntervencionesList() {
        return new DatosPrestServicioType.IntervencionesList();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.ProtocolosList }
     * 
     */
    public DatosPrestServicioType.ProtocolosList createDatosPrestServicioTypeProtocolosList() {
        return new DatosPrestServicioType.ProtocolosList();
    }

    /**
     * Create an instance of {@link DatosPrestServicioType.DispositivosList }
     * 
     */
    public DatosPrestServicioType.DispositivosList createDatosPrestServicioTypeDispositivosList() {
        return new DatosPrestServicioType.DispositivosList();
    }

    /**
     * Create an instance of {@link DatosCambioDomicilioType.DatosBeneficiario }
     * 
     */
    public DatosCambioDomicilioType.DatosBeneficiario createDatosCambioDomicilioTypeDatosBeneficiario() {
        return new DatosCambioDomicilioType.DatosBeneficiario();
    }

    /**
     * Create an instance of {@link DatosModificacionType.DatosBeneficiario }
     * 
     */
    public DatosModificacionType.DatosBeneficiario createDatosModificacionTypeDatosBeneficiario() {
        return new DatosModificacionType.DatosBeneficiario();
    }

    /**
     * Create an instance of {@link DatosModificacionType.ContactosList }
     * 
     */
    public DatosModificacionType.ContactosList createDatosModificacionTypeContactosList() {
        return new DatosModificacionType.ContactosList();
    }

    /**
     * Create an instance of {@link DatosValoracionInicialType.DatosBeneficiario }
     * 
     */
    public DatosValoracionInicialType.DatosBeneficiario createDatosValoracionInicialTypeDatosBeneficiario() {
        return new DatosValoracionInicialType.DatosBeneficiario();
    }

}
